package gestionClinica;

/**
 * Una <b>Cita</b> simplemente relaciona a un <b>Paciente</b>
 * con el <b>Psicólogo</b> con quien tiene que visitarse.<br>
 * Los objetos <b>Cita</b> están incluidos en los objetos 
 * de la clase <b>HorarioCita</b> que son quienes determinan
 * la <i>hora</i> y <i>fecha</i> que tendrá lugar la visita.
 * 
 * @author Kabuto
 * @version 08/2019
 */
public class Cita {
	
	private String cedulaPaciente;
	private String numeroPsicologo;
	
	public Cita(String paciente, String psicologo) {
		cedulaPaciente = paciente;
		numeroPsicologo = psicologo;
	}

	public String getCedulaPaciente() {
		return cedulaPaciente;
	}

	public void setCedulaPaciente(String cedulaPaciente) {
		this.cedulaPaciente = cedulaPaciente;
	}

	public String getNumeroPsicologo() {
		return numeroPsicologo;
	}

	public void setNumeroPsicologo(String numeroPsicologo) {
		this.numeroPsicologo = numeroPsicologo;
	}
	
	@Override
	public String toString() {
		return "\nCedula Paciente: " + cedulaPaciente +
				" -- Número Psicólogo: " + numeroPsicologo;
	}

}
