package gestionClinica;

/**
 * Un <b>Expediente</b> es el resultado de una <b>Cita</b> que ya ha transcurrido
 * y el <b>Psicólogo</b> describe el <i>padecimiento</i> detectado y las <i>recomendaciones</i>
 * indicadas al <b>Paciente</b>.<br>Cada objeto <b>Paciente</b> contará con un ArrayList
 * donde se almacenarán todos sus <b>Expedientes</b> a modo de historial.  
 * 
 * @author Kabuto
 * @version 08/2019
 */
public class Expediente {
	
	private String fecha;
	private String hora;
	private String padecimiento;
	private String recomendaciones;
	
	public Expediente(String fecha, String hora, String padecimiento, String recomendaciones) {
		this.fecha = fecha;
		this.hora = hora;
		this.padecimiento = padecimiento;
		this.padecimiento = recomendaciones;
	}

	public String getFecha() {
		return fecha;
	}

	public void setFecha(String fecha) {
		this.fecha = fecha;
	}

	public String getHora() {
		return hora;
	}

	public void setHora(String hora) {
		this.hora = hora;
	}

	public String getPadecimiento() {
		return padecimiento;
	}

	public void setPadecimiento(String padecimiento) {
		this.padecimiento = padecimiento;
	}

	public String getRecomendaciones() {
		return recomendaciones;
	}

	public void setRecomendaciones(String recomendaciones) {
		this.recomendaciones = recomendaciones;
	}

	@Override
	public String toString() {
		return "\nHorario: " + fecha + " - " + hora + "\nPadecimiento: " + padecimiento +
				"\nRecomendaciones: " + recomendaciones;
	}
	
	/**
	 * Construye una linea de texto para ser escrita en un archivo en disco.<br>
	 * El formato está diseñado para que cuando el programa la lea para recuperar
	 * la información, sea sencillo distinguir los valores de cada atributo.
	 * @return <b>String</b> para grabar en archivo de texto.
	 */
	public String toLineaFichero() {
		return fecha + "<>" + hora + "<>" + padecimiento + "<>" + recomendaciones + "\n";  
	}

}
