package gestionClinica;

import java.util.Scanner;

/**
 * Clase principal donde se muestran los menús necesarios para que el usuario
 * pueda realizar las gestiones disponibles en la clínica.
 * 
 * @author Kabuto
 * @version 08/2019
 */
public class GestionClinica {

	private static GestorPacientes pacientes;
	private static Agenda agenda;
	private static Scanner teclado = new Scanner(System.in);
	private static char opcion = ' ';

	public static void main(String[] args) {
		System.out.println("\t\t\tIniciando GESTIÓN CLINICA....");
		pacientes = new GestorPacientes();
		agenda = new Agenda();
		while (opcion != '9') {
			System.out.println("\n\n\t\t\tGESTIÓN CLINICA");
			System.out.println("\t\t\t------- -------\n");
			System.out.println("[1] -- Gestionar Pacientes");
			System.out.println("[2] -- Gestionar Citas");
			System.out.println("[9] -- FIN DE PROGRAMA");
			opcion = teclado.nextLine().charAt(0);
			switch(opcion) {
			case '1':
				menuPacientes();
				break;
			case '2':
				menuCitas();
				break;
			case '9':
				System.out.println("\n\n\t\t\tFIN DE PROGRAMA");
				break;
			default:
				System.out.println("\nOpción no válida.");
				pausa();
			}
		}
	}

	private static void menuPacientes() {
		System.out.println("\n\n\t\t\tGESTIÓN PACIENTES");
		System.out.println("\t\t\t------- ---------\n");
		System.out.println("[1] -- Registrar nuevo PACIENTE");
		System.out.println("[2] -- Mostrar listado de PACIENTES");
		System.out.println("[3] -- Mostrar EXPEDIENTE de un PACIENTE");
		System.out.println("[4] -- Regresar al MENÚ PRINCIPAL");
		opcion = teclado.nextLine().charAt(0);
		switch (opcion) {
		case '1':
			pacientes.nuevoPaciente(agenda.PSICOLOGOS);
			break;
		case '2':
			pacientes.listarPacientes();
			break;
		case '3':
			pacientes.mostrarExpediente();
			break;
		case '4':
			System.out.println("\nSaliendo de GESTIÓN PACIENTES...");
			break;
		default:
			System.out.println("\nOpción no válida.");
		}
		System.out.println("\nSe regresará al MENÚ PRINCIPAL");
	}
	
	private static void menuCitas() {
		//En construccion....
	}

	/**
	 * Espera a una introduccion por teclado que luego será descartada.<br>
	 * Su propósito es simplemente detener la ejecución del programa hasta que el usuario
	 * intervenga.
	 */
	private static void pausa() {
		System.out.println("\n\t\t--- Pulse INTRO para continuar ---");
		teclado.nextLine();
	}


}
